package stackjava.com.hibernatedemo.dao;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import stackjava.com.hibernatedemo.entities.Employee;
import stackjava.com.hibernatedemo.entities.PositionEnum;

public class DemoSave {

	public static void main(String[] args) {
		EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("persistence");
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();

		
		Employee emp = new Employee();
		emp.setName("kai");
		emp.setPosition(PositionEnum.DEVELOPER);
		entityManager.persist(emp);
		
		entityManager.getTransaction().commit();
		System.out.println("---------- after save ---------------");
		System.out.println(emp);
		entityManager.close();
		entityManagerFactory.close();
	}

}
